Bug 221269 - security/ossec-hids-local: database support not compiled in for "local" installation
Summary: security/ossec-hids-local: database support not compiled in for "local" insta...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brad Davis
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-08-06 07:23 UTC by Dominik Lisiak
Modified: 2018-01-02 01:23 UTC (History)
1 user (show)

See Also:
brd: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Proposed patch relative to /usr/ports (505 bytes, patch)
2017-08-06 11:19 UTC, Dominik Lisiak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Lisiak 2017-08-06 07:23:47 UTC
There is a bug in 99th line of "security/ossec-hids-server/Makefile":
@cd ${WRKSRC}/src;${MAKE} setlocal;${MAKE} all;${MAKE} build;

The line should be:
@cd ${WRKSRC}/src;${MAKE} setlocal;${MAKE} setdb;${MAKE} all;${MAKE} build;

Although "setdb" makes not much sense for "agent" installation, it is valid for "local" installation. Without this fix the "ossec-dbd" in "local" installation complains about the database support not being compiled in.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 09:21:53 UTC
Thank you Dominik

If you could include the proposed change as an attachment that would be appreciated
Comment 2 Dominik Lisiak 2017-08-06 11:19:03 UTC
Created attachment 185084 [details]
Proposed patch relative to /usr/ports
Comment 3 Brad Davis freebsd_committer 2017-08-15 18:25:56 UTC
Dominik, I don't use OSSEC anymore.  Would you be interested in being the MAINATINER?
Comment 4 Dominik Lisiak 2017-08-22 06:52:14 UTC
(In reply to Brad Davis from comment #3)
Yes, I'am interested. I need to do more extensive reading first, but I've read the guide briefly and I think i can fulfill the requirements.
Do you want me to fix this issue and additionally change the MAINTAINER to myself or will you fix it and set the MAINTAINER to me?
Comment 5 commit-hook freebsd_committer 2018-01-02 01:19:14 UTC
A commit references this bug:

Author: brd
Date: Tue Jan  2 01:18:40 UTC 2018
New revision: 457828
URL: https://svnweb.freebsd.org/changeset/ports/457828

Log:
  Fix database support in ossec-hids-local and pass maintainer to submitter

  PR:		221269
  Submitted by:	Dominik Lisiak <dominik.lisiak@bemsoft.pl>

Changes:
  head/security/ossec-hids-server/Makefile
Comment 6 Brad Davis freebsd_committer 2018-01-02 01:23:46 UTC
Dominik, Sorry for the delay on this one.. I have committed your patch and assigned you as the maintainer.  I think it is due for an update so if you wanted to start looking into that.. :)